print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local pricebeer = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local ciderHudFile = "Paletten/hud_fill_cider.dds"
	local ciderHudFileSmall = "Paletten/hud_fill_cider_small.dds"
	
    local ciderFilType = g_fillTypeManager:addFillType("CIDER", g_i18n:getText("cider"), true, pricebeer * 2.2, 0.00045, math.rad(10), ciderHudFile, ciderHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hascider=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hascider=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "CIDER" then
		hascider=true
	end;
		
end;

		if hasmaize and not hascider then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("CIDER")
		local price = g_fillTypeManager:getFillTypeByName("CIDER").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("CIDER")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)